Subject: remoteproc: Load coprocessor code to the specific main memory location

From: [email-masked] (Michal Simek)
Date: Wed, 15 Feb 2012 13:47:30 +0100

Ohad Ben-Cohen wrote:
> On Mon, Feb 13, 2012 at 3:20 PM, Michal Simek <[email-masked]> wrote:
>> Here is how it is achieve
>>        ret = dma_declare_coherent_memory(&zynq_freertos.dev, 0,
>>                                0, 0x10000000, DMA_MEMORY_MAP);
>>
>> which is fully compatible with remoteproc.
> 
> Great, this is what we've been doing with davinci too.

Cool.

> 
>> Do you have any example of using it?
> 
> What exactly are you looking for ? RTOS or Linux side ?

Both side will be great. Rtos is freertos.

> 
> On the Linux side, you can just make the rpmsg sample work (it's part
> of the rpmsg patch set). For the RTOS side, feel free to just take our
> code (it's BSD licensed and hosted on github) and adapt it to your
> environment.

You mean that server_sample and rpmsg_omx right?
I have also found rpmsg-omx demo application.
What I am missing is how to probe rpmsg bus.
Do you have any working example?

Communication between cpus is done through swirqs. I have test sending it from linux to rtos.

Thanks,
Michal

-- 
Michal Simek, Ing. (M.Eng)
w: www.monstr.eu p: +42-0-721842854
Maintainer of Linux kernel 2.6 Microblaze Linux - http://www.monstr.eu/fdt/
Microblaze U-BOOT custodian